# $Revision: 1.80.2.3.2.5 $, $Date: 2004/06/23 09:38:11 $
Summary:	Daemon and utilities for using PCMCIA adapters
Summary(pl):	Obsuga kart PCMCIA
Summary(ru):	     PCMCIA-
Summary(uk):	  ̦   PCMCIA-
Name:		pcmcia-cs
Version:	3.1.30
%define	_rel	22
Release:	%{_rel}
License:	MPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/pcmcia-cs/%{name}-%{version}.tar.gz
# Source0-md5:	bff640e1b9177e86e02783fba9bd68df
Source1:	%{name}-network.script
Source2:	pcmcia.sysconfig
Source3:	pcmcia.init
Source4:	ftp://ftp.avaya.com/incoming/Up1cku9/tsoweb/avayawireless/wavelan2_cs-6.16Avaya.tar.gz
# Source4-md5:	8b1829e3554ba15d400ab367e6851437
Source5:	http://pcmcia-cs.sourceforge.net/ftp/contrib/cs89x0_cs.tar.gz
# Source5-md5:	7ef76ff6b798e426f62efac7f4abf636
Patch0:		%{name}-manfid_0175.patch
Patch1:		%{name}-LDFLAGS.patch
Patch2:		%{name}-wavelan2.patch
Patch3:		%{name}-PRISM2.patch
Patch4:		%{name}-realtek_cb-support.patch
Patch5:		%{name}-makefile_man.patch
Patch6:		%{name}-xforms_fix.patch
URL:		http://hyper.stanford.edu/HyperNews/get/pcmcia/home.html
%{!?_without_dist_kernel:Requires:	kernel-pcmcia-cs}
%{!?_without_dist_kernel:BuildRequires:	kernel-source}
BuildRequires:	modutils
BuildRequires:	%{kgcc_package}
PreReq:		chkconfig
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pcmcia-cs-cardinfo

%description
The pcmcia-cs package adds PCMCIA cards handling support for your
PLD-Linux system and contains of a card manager daemon and some
utilities. PCMCIA daemon can respond to card insertion and removal
events by loading and unloading proper drivers on demand (with hot
swap support), so that the cards can be safely inserted and ejected at
any time. This package does not contain kernel modules (ie. socket and
card drivers) that come with another package that must be installed
for full PCMCIA support. If you own a laptop or your system uses
PCMCIA cards this package is a must.

%description -l pl
Pakiet pcmcia-cs zawiera programy wspierajce obsug kart PCMCIA w
Twoim PLD-Linuksie. Skada si on z demona oraz kilku programw
narzdziowych. Demon ten potrafi reagowa na wkadanie i wyjmowanie
kart PCMCIA, dodajc i usuwajc odpowiednie drivery (moduy kernela),
tak i karty mog by wkadane i wyjmowane w dowolnym momencie. Moduy
kernela obsugujce sloty kart i same karty zawarte s w innych
pakietach, ktre musz by zainstalowane aby mc korzysta z kart.
Jeli posiadasz laptopa albo te Twj system wykorzystuje karty
PCMCIA, ten pakiet bdzie Ci niezbdny.

%description -l ru
 ,       
 PCMCIA-.    "credit card adapters",
PCMCIA- -   ,  ,  , 
 SCSI  .    ,   
     .  
   PCMCIA-   
,        " ".

%description -l uk
 Ц, ˦    Ц  
 PCMCIA-. ͦ   "credit card adapters",
PCMCIA- -  ˦ ,  ͦ  , צ
Ц SCSI  ͦ.   Φ ,   
ЦΦ  צΦ   .   ͦ
Ц ҦΦ PCMCIA- Ӧ Ħ  ,  Ѥ
Ц  צ ˦  " ".

%package -n kernel-pcmcia-wavelan2
Summary:	Avaya Wireless PC Card - Drivers
Summary(pl):	Bezprzewodowe karty PC firmy Avaya - Sterowniki
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}

%description -n kernel-pcmcia-wavelan2
wavelan2 driver for Avaya Wireless PC Card (Silver and Gold).

%description -n kernel-pcmcia-wavelan2 -l pl
Sterownik wavelan2 do kart Bezprzewodowych PC firmy Avaya (modele
Silver oraz Gold).

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%ifarch %{ix86}
tar xzvf %{SOURCE4}
tar xzvf %{SOURCE5}
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
./Configure \
	--noprompt \
	--trust \
	--cardbus \
	--current \
	--pnp \
	--apm \
	--srctree \
	--kernel=%{_kernelsrcdir} \
	--target=$RPM_BUILD_ROOT

%{__make} all \
	CFLAGS="%{rpmcflags} -Wall -Wstrict-prototypes -pipe" \
	LDFLAGS="%{rpmldflags}" \
	CC="%{kgcc}" \
	CONFIG_PCMCIA=1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/sysconfig,/var/lib/pcmcia}

%{__make} install \
	MODDIR=/lib/modules/%{_kernel_ver} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	CONFIG_PCMCIA=1 \

# Install our own network up/down script
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/network $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/network.orig
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/network
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/pcmcia
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/pcmcia

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add pcmcia
if [ -f /var/lock/subsys/pcmcia ]; then
	echo "You may run \"/etc/rc.d/init.d/pcmcia restart\" to restart with new version"
	echo "of pcmcia cardbus daemon. Note that if you changed your kernel, restarting"
	echo "pcmcia subsystem may cause problems if not rebooted before."
else
	echo "Run \"/etc/rc.d/init.d/pcmcia start\" to start pcmcia cardbus daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/state/run/pcmcia ]; then
		/etc/rc.d/init.d/pcmcia stop 2> /dev/null
	fi
	/sbin/chkconfig --del pcmcia
fi

%post   -n kernel-pcmcia-wavelan2
/sbin/depmod -a

%postun -n kernel-pcmcia-wavelan2
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc SUPPORTED.CARDS CHANGES COPYING README{,-2.4}
%doc LICENSE doc/PCMCIA-HOWTO doc/PCMCIA-PROG
%dir /var/lib/pcmcia
%attr(755,root,root) /sbin/*
%attr(754,root,root) /etc/rc.d/init.d/pcmcia
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/pcmcia
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/config.opts
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/ftl.opts
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/ide.opts
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/memory.opts
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/parport.opts
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/scsi.opts
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/serial.opts
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/wireless.opts
%ifarch %{ix86}
%config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/wavelan2*
%endif
%attr(754,root,root) %{_sysconfdir}/pcmcia/ftl
%attr(754,root,root) %{_sysconfdir}/pcmcia/ide
%attr(754,root,root) %{_sysconfdir}/pcmcia/memory
%attr(754,root,root) %{_sysconfdir}/pcmcia/network
%attr(754,root,root) %{_sysconfdir}/pcmcia/parport
%attr(754,root,root) %{_sysconfdir}/pcmcia/scsi
%attr(754,root,root) %{_sysconfdir}/pcmcia/serial
%attr(754,root,root) %{_sysconfdir}/pcmcia/wireless
%{_sysconfdir}/pcmcia/cis
%{_sysconfdir}/pcmcia/config
%{_sysconfdir}/pcmcia/network.orig
%{_sysconfdir}/pcmcia/shared
%ifnarch alpha ppc
%{_datadir}/pnp.ids
%endif
%{_mandir}/man4/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%ifarch %{ix86}
%files -n kernel-pcmcia-wavelan2
%defattr(644,root,root,755)
%doc *wavelan2*
/lib/modules/%{_kernel_ver}/pcmcia/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcmcia-cs.spec,v $
Revision 1.80.2.3.2.5  2004/06/23 09:38:11  ankry
- rel. 22 to rebuild with new kernel

Revision 1.80.2.3.2.4  2004/03/02 02:14:43  ankry
- rel. 21

Revision 1.80.2.3.2.3  2004/02/18 20:39:54  undefine
- md5, change url, rel 20

Revision 1.80.2.3.2.2  2003/07/11 12:02:17  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.80.2.3.2.1  2003/05/11 16:45:28  dzimi
- rel++; rebuild with 2.2.25-3

Revision 1.80.2.3  2003/04/05 19:36:33  misi3k
- rel 18
- added patch 6 (fix xforms 1.0)

Revision 1.80.2.2  2003/03/30 17:00:58  misi3k
- rel 17
- fix man install (patch5)

Revision 1.80.2.1  2003/03/30 10:53:14  blues
- release 16 - rebuild with 2.2.25

Revision 1.80  2002/11/16 21:12:57  dzimi
- rel 15
- add realtek_cb support

Revision 1.79  2002/11/09 15:02:47  alchemyx
- removed restarting of pcmcia-cs after upgrading
- release 14, STBR

Revision 1.78  2002/11/02 11:33:49  ankry
- rel. 13 (rebuild against kernel 2.2.22-4)

Revision 1.77  2002/10/15 10:51:42  alchemyx
- updated pcmcia.init, so it now supports gzipped modules (added .gz suffix)
- STBR ASAP, release 12

Revision 1.76  2002/10/04 20:36:13  malekith
- r: kernel-pcmcia-cs is back
- rel 11
- STBR ASAP (otherwise installation on laptops is BR0KEN)

Revision 1.75  2002/09/27 21:03:39  mkochano
- Release 10.
- noreplace sysconfig file.

Revision 1.74  2002/09/20 20:40:42  undefine
- add cs89x0_cs.tar.gz (suggestion dF9)

Revision 1.73  2002/09/15 19:07:09  kloczek
- rewlease 9: rebuild against kernel 2.2.21-7.

Revision 1.72  2002/08/18 18:21:48  kloczek
- typo.

Revision 1.71  2002/08/18 18:01:20  kloczek
- cosmetics.

Revision 1.70  2002/08/18 13:39:35  blues
one more license fix

Revision 1.69  2002/08/18 13:33:42  blues
- release 8 - license fix, new doc fix

Revision 1.68  2002/07/03 09:24:05  wolf
- spelling

Revision 1.67  2002/06/11 12:55:03  baseciq
- removed Requires for kernel-pcmcia-cs (we don't have this package)
- new %doc
- rel 7

Revision 1.66  2002/05/24 19:35:39  kloczek
- fixes in uk, ru %description

Revision 1.65  2002/05/24 19:33:39  kloczek
- merge translations from KSI.

Revision 1.64  2002/05/24 19:25:01  mkochano
- Release 6.
- Added PRISM2 patch.

Revision 1.63  2002/05/16 14:32:52  misiek
- fixed non x86

Revision 1.62  2002/05/16 13:58:47  misiek
- added wavelan2 driver

Revision 1.61  2002/05/16 08:55:41  mkochano
- Release 4.
- Added README-2.4.

Revision 1.60  2002/05/08 19:26:33  cieciwa
- release 3,
- added requires from kernel-pcmcia-cs.

Revision 1.59  2002/03/20 02:02:06  kloczek
- release 2.

Revision 1.58  2002/03/18 20:17:23  malekith
- pnp.ids is absent on ppc

Revision 1.57  2002/03/16 12:27:45  malekith
- LDFLAGS patch to pass LDFLAGS correctly

Revision 1.56  2002/03/15 14:39:15  malekith
- dropped BOOT
- pass %%{__cc} down to Configure
- Br: modutils

Revision 1.55  2002/02/22 23:29:23  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.53  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2001/12/08 16:24:26  dzimi
- disable manfid_0175.patch, do we need it ?

Revision 1.51  2001/12/08 16:20:01  dzimi
- update to 3.1.30 version

Revision 1.50  2001/10/04 11:04:19  zagrodzki
- added manfid_0175 patch (ActionTec DataLink 56k is misidentified as NSC
  Modem/Ethernet card)

Revision 1.49  2001/09/26 14:16:50  ankry
- updated source URL
- changed version to 3.1.29

Revision 1.48  2001/08/19 21:11:45  kloczek
- updated to 3.1.28,
- spec adapterized.

Revision 1.47  2001/08/19 20:27:46  saq
- use %%_kernelsrcdir

Revision 1.46  2001/07/30 08:40:54  klakier
- finally linked cardmgr against uClibc in BOOT

Revision 1.45  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.43  2001/07/23 13:10:00  klakier
- added BuildRequires for BOOT

Revision 1.42  2001/07/23 13:08:43  klakier
- added cardctl to boot

Revision 1.41  2001/07/19 15:15:42  klakier
- added -BOOT package

Revision 1.40  2001/07/11 09:49:18  dobrek
-Updated to 3.1.27

Revision 1.39  2001/05/26 11:07:36  laro
- some typos fixed
- chkconfig moved to preun along with stop script call

Revision 1.38  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.37  2001/05/16 05:45:27  kloczek
- updated to 3.1.26.

Revision 1.36  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.35  2001/03/11 21:30:14  kloczek
- updated to 3.1.25.

Revision 1.34  2001/01/29 10:23:21  zagrodzki
- s!/rc.d!/etc/rc.d!
- s!%{_sysconfdir}/rc.d!/etc/rc.d!
- s!%{_sysconfdir}/sysconfig!/etc/sysconfig!
- release 2

Revision 1.33  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.32  2001/01/23 01:06:23  kloczek
- updated to 3.1.24.

Revision 1.31  2001/01/10 20:28:35  kloczek
- %%{_datadir}/pnp.ids include only on non-alpha arch.

Revision 1.30  2001/01/10 20:20:16  kloczek
- removed obsoleted no_xforms patch.

Revision 1.29  2001/01/10 19:56:32  kloczek
- updated to 3.1.23.

Revision 1.28  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.27  2000/11/19 21:59:02  kloczek
- updated to 3.1.22.

Revision 1.26  2000/10/26 10:09:54  kloczek
- added ExcludeArch for sparc, sparc64.

Revision 1.25  2000/10/26 10:01:26  kloczek
- release 2,
- added no_xforms patch for disable tring compile xforms stuffs,
- more %%{debug} changes.

Revision 1.24  2000/10/25 12:22:58  kloczek
- removed cardinfo subpackage (using xforms creates more problems than this
  worth),
- use new rpm automation.

Revision 1.23  2000/10/06 10:04:16  zagrodzki
- updated to 3.1.21

Revision 1.22  2000/09/12 15:50:13  kloczek
- adapterized.

Revision 1.21  2000/09/11 18:05:21  kravietz
- upgrade to 3.1.20

Revision 1.20  2000/08/07 14:03:08  dobrek
- updated to 3.1.19

Revision 1.19  2000/06/12 14:07:21  kloczek
- updated to 3.1.16,
- standarized %post/%postun scripts.

Revision 1.18  2000/06/09 15:24:20  baggins
- updated to 3.1.15

Revision 1.17  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/07 04:21:51  kloczek
- spec adapterized.

Revision 1.15  2000/05/15 15:42:16  baggins
- cleaned up %%install and %%files
- don't build modules
- spec ready

Revision 1.14  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.13  2000/04/20 14:26:18  baggins
- updated to 3.1.14
- fixed source URL

Revision 1.12  2000/04/18 00:26:04  bonkey
- add simple descriptions in cardinfo module to make specfile correct

Revision 1.11  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/29 22:54:18  zagrodzki
- adapterized
- removed unnecessary %attr
- %description -l pl
- separate package for cardinfo (requires X)
- buildprereq -> buildrequires
